### $Id: sample.conf,v 1.34 2000/07/16 22:37:52 drscholl Exp $
###
### Sample configuration file for opennap
###
### This file is typically renamed to /usr/local/share/opennap/config, or
### for Win32 platforms it is C:\opennap\config
###

# this file should be read-only by the process running the daemon.  if the
# user/pass combo are leaked then anyone can alter the table used for storing
# the information

# the official name for this server (defaults to the value of gethostname(3))
#server_name localhost

# the password for linking this server to other servers (no default)
server_password opensource

# port(s) to listen on for client connections (defaults to 8888)
#server_ports 4444 7777 8888

# maximum number of channels a user is allowed to join (default: 5)
#max_user_channels 5

# maximum number of chars in a nickname
#max_nick_length 32

# maximum length of server->server queue (default: 1MB)
#server_queue_length 1000000

# maximum length of server->client queue (default: 100KB)
#client_queue_length 10000

# maxiumum number of files returned by a browse command (default: 500)
#max_browse_result 5000

# maximum number of results returned for a search (default: 100)
#max_results 500

# maximum number of files a user is allowed to share (default: 5000)
#max_shared 1000

# how often to send server stats to clients (default: 60 seconds)
#stat_click 15

# maximum number of local connections (default: 1000)
#max_connections 100

# number of seconds between running garbage collection
#collect_interval 60

# ip address to listen on (default: ANY)
#listen_addr 127.0.0.1

# directory to read opennap config files (default: /usr/local/share/opennap)
# config_dir .

# default maximum number of users per channel (default: 200)
#channel_limit 10

# max amount of idle time allowed before closing connection when logging in
#login_timeout 60

# max length of a client command (default: 2kbytes)
#max_command_length 2048

# automatically register all user accounts the first time they log in
# (default: off)
# auto_register 0

# require all accounts to be registered (default: off)
# registered_only 0

# maximum number of entries allowed for a hotlist (default: 32)
# max_hotlist 100

# maximum number of entries allowed on an ignore list (default: 32)
# max_ignore 100

# maximum length of a channel topic (default: 64)
# max_topic 100

# maximum length of the client version string (default: 32)
# max_client_string 100

# maximum length of the reason string in the kick/kill/muzzle commands
# (default: 64)
# max_reason 100

# maximum filename length for shared files (default: 256)
# max_path 128

# compression level (0 = none, 1 = least effort (default), 9 = best effort)
#compression_level 6

# maximum number of connnections from a single ip (default: 0 [unlimited])
#max_clones 3

# END of Win32 configuration.  What follows is only for the Unix versions

# if your operating system has a small limit for the maxium amount of data
# a single process is allowed to allocate, adjust this value to the maximum
# you wish to use.  on many systems this does not even require root access
# to change to a higher value (default: -1, use system default)
#max_data_size 64000000

# this value adjusts how much real memory each process is allowed to consume
# before parts of the allocated memory get swapped out (default: -1, use
# system default)
#max_rss_size 64000000

# set this to the highest value that max_connections will ever be during the
# process lifetime.  this can't be changed while opennap is running because
# on many systems it requires root privilege, and we drop those before
# handling user input as a security measure.  (default: 1024)
#connection_hard_limit 4096

# if opennap is run as root, we change to this uid after setting the hard
# limit for number of file descriptors we need (default: nobody)
#uid 99

# if opennap is run as root, we change to this gid after setting the hard
# limit for number of file descriptors needed (default: nobody)
#gid 99

# prevent opennap from being swapped to disk.  WARNING!  this should only
# be used in conjunction with the max_data_size otherwise opennap could
# consume all of your system memory (default: off)
# lock_memory 0

# EOF
